Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Bounded_Set_Iterator< T > Class Template Reference

Iterates through an unordered set. More...

`#include <Containers_T.h>`

List of all members.

## Public Methods
| ACE_Bounded_Set_Iterator (ACE_Bounded_Set< T > &s)
int | next (T *&next_item)
int | advance (void)
int | first (void)
int | done (void) const
| Returns 1 when all items have been seen, else 0.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Bounded_Set< T > & | s_
| Set we are iterating over.
ssize_t | next_
| How far we've advanced over the set.

## Detailed Description

### template<class T>
class ACE_Bounded_Set_Iterator< T >

Iterates through an unordered set.

This implementation of an unordered set uses a Bounded array. Allows deletions while iteration is occurring.

## Constructor & Destructor Documentation

template<class T>
ACE_Bounded_Set_Iterator< T >::ACE_Bounded_Set_Iterator | ( | ACE_Bounded_Set< T > & | s | ) |

## Member Function Documentation

template<class T>
int ACE_Bounded_Set_Iterator< T >::advance | ( | void |  | ) |

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<class T>
int ACE_Bounded_Set_Iterator< T >::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

template<class T>
void ACE_Bounded_Set_Iterator< T >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T>
int ACE_Bounded_Set_Iterator< T >::first | ( | void |  | ) |

| Move to the first element in the set. Returns 0 if the set is empty, else 1.

template<class T>
int ACE_Bounded_Set_Iterator< T >::next | ( | T *& | next_item | ) |

| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

template<class T>
ACE_Bounded_Set_Iterator< T >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
ssize_t ACE_Bounded_Set_Iterator< T >::next_`[private]`

| How far we've advanced over the set.

template<class T>
ACE_Bounded_Set<T>& ACE_Bounded_Set_Iterator< T >::s_`[private]`

| Set we are iterating over.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Containers_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Containers_T.cpp